# servrickconf.rb

require "servricklib"

###### 各種設定 ######

##
## ※パス設定時は絶対パス指定推奨
## ※設定に nil を入れるとデフォルト設定を使用(例外あり)
##

def servrick_config

	conf = {

	### Webサーバの設定 ここから ###

		# ポート番号(1～65535の番号を必ず指定)
		:portnumber => 80,

		# 各種データ(cert.txt/rsa.txt/pid.txt/パスワードファイル)保存ディレクトリ(デフォルトはスクリプトのあるディレクトリ)
		:datadir => nil,

		# ドキュメントルートを指定(デフォルトは [:datadir]/www )
		:wwwdir => nil,

		# 認証方法を指定("digest" "basic" "none" のいずれかを必ず指定)
		:authtype => "none",

		# 認証用Realm文字列を指定(デフォルトは "UserAuth" )
		:authrealm => nil,

		# 認証用ID(passwd.rb等でパスワードファイルを編集する場合、指定不要)
		:authid => "",

		# 認証用パスワード(passwd.rb等でパスワードファイルを編集する場合、指定不要)
		:authpass => "",

		# サーバのアクセスログを保存する(true/false) 
		:saveserverlog => false,

		# アクセスログファイルのパスを指定(デフォルトは [:datadir]/slog.txt )
		:serverlogfilename => nil,

		# アクセスログのフォーマット文字列(Apacheに準拠、デフォルトは NCSA extended/combined ログ書式を使用)
		:logformat => "%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-agent}i\"",

		# ディレクトリをリクエストされた時にファイル一覧を表示する(true/false)
		:fancyindexing => false,

		# 接続元を限定する(true/false)
		:useaccesslimit => false,

		# 許可する接続元を指定(IPアドレスは文字列、ホスト名は正規表現で)
		:acceptlist => ["127.0.0.1", "192.168.0.0/24", "\.example\.jp"],

		# SSL使用時、自己署名証明書に使う一般名称(デフォルトは "WEBrick self CA" )
		:commonname => "WEBrick self CA",

		# SSL使用時、自己署名証明書に使う組織名(デフォルトは "Servrick System")
		:orgname => "Servrick System",

		# CGIスクリプトとして動作させたい拡張子を設定
		:cgihandle => ["rb", "pl"],

		# ERBスクリプトとして動作させたい拡張子を設定
		:erbhandle => [],

		# MIME Typeを追加設定したい場合は記述
		:custommimetype => {"rhtml" => "text/html"}

	### Webサーバの設定 ここまで ###

	}

	Servrick::Config.new(conf)

end
